summaryrefslogtreecommitdiffstats
path: root/extras/init.d/glusterfsd-SuSE
diff options
context:
space:
mode:
authorHarshavardhana <harsha@zresearch.com>2009-03-01 05:35:18 -0800
committerAnand V. Avati <avati@amp.gluster.com>2009-03-03 11:44:21 +0530
commitda71d1359c1335997595935dbaa07c5747231861 (patch)
tree944744ee0a455b3684c20cac18849e5ff19af0f7 /extras/init.d/glusterfsd-SuSE
parentb29a555c0be1c0db47c290d61f8c4dfe1e6fecbf (diff)
Added proper handling for the init scripts for (Debian, Ubuntu, SuSE, Redhat), SuSE init script also added.
* Init scripts added for Debian, Redhat, SuSE distribution, each are installed by checking each distribution specific. Tested on 1. Debian, Ubuntu. 2. Redhat, CentOS. 3. OpenSUSE. Signed-off-by: Anand V. Avati <avati@amp.gluster.com>
Diffstat (limited to 'extras/init.d/glusterfsd-SuSE')
-rwxr-xr-xextras/init.d/glusterfsd-SuSE72
1 files changed, 72 insertions, 0 deletions
diff --git a/extras/init.d/glusterfsd-SuSE b/extras/init.d/glusterfsd-SuSE
new file mode 100755
index 00000000..ede27b2b
--- /dev/null
+++ b/extras/init.d/glusterfsd-SuSE
@@ -0,0 +1,72 @@
+#!/bin/bash
+#
+### BEGIN INIT INFO
+# Provides: glusterfsd
+# Required-Start: $local_fs $network
+# Required-Stop:
+# Default-Start: 3 5
+# Default-Stop:
+# Short-Description: GlusterFS server daemon
+# Description: All necessary services for GlusterFS clients
+### END INIT INFO
+
+# Get function from functions library
+
+. /etc/rc.status
+
+BASE=glusterfsd
+GSERVER="/usr/sbin/$BASE -f /etc/glusterfs/glusterfsd.vol"
+RETVAL=0
+
+# Start the service $BASE
+start()
+{
+ echo -n $"Starting $BASE:"
+ startproc $GSERVER
+ return $?
+}
+
+# Stop the service $BASE
+stop()
+{
+ echo $"Stopping $BASE:"
+ killproc $BASE
+ return $?
+}
+
+
+### service arguments ###
+case $1 in
+ start)
+ start || {
+ rc_status -v
+ rc_exit
+ }
+ rc_status -v
+ ;;
+ stop)
+ stop || {
+ rc_status -v
+ rc_exit
+ }
+ rc_status -v
+ ;;
+ status)
+ echo -n " glusterfsd"
+ if ! checkproc $BASE ;then
+ echo " not running"
+ rc_failed 3
+ fi
+ rc_status -v
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ rc_status
+ ;;
+ *)
+ echo $"Usage: $0 {start|stop|status|restart}."
+ exit 1
+esac
+
+exit 0